This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 433879 - resolution is wrong on primary display with external monitor plugged in when X starts on t60w
resolution is wrong on primary display with external monitor plugged in when ...
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: xorg-x11-drv-i810 (Show other bugs)
5.2
All Linux
low Severity low
: rc
: ---
Assigned To: Adam Jackson
desktop-bugs@redhat.com
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-02-21 17:03 EST by Cameron Meadors
Modified: 2008-04-03 10:52 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-03 10:52:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Cameron Meadors 2008-02-21 17:03:33 EST
Description of problem:
If I have an external display plugged in when X starts, the resolution is wrong
on the primary display, but correct on the external

Version-Release number of selected component (if applicable):
xorg-x11-server-Xorg-1.1.1-48.36.el5
xorg-x11-drv-i810-1.6.5-9.6.0.3.el5

How reproducible:
Every time

Steps to Reproduce:
1. plug in external display
2. boot computer/start X
3.
  
Actual results:
Resolution is correct for external display, but incorrect for primary display

Expected results:
both displays have correct resolution

Additional info:
The external display has a lower maximum resolution than my primary display.
Comment 1 Matěj Cepl 2008-02-22 06:30:08 EST
information about the system are NEEDINFOed in bug 433875
Comment 2 Cameron Meadors 2008-02-22 10:02:02 EST
see attachment in bug 433875
Comment 3 Matěj Cepl 2008-02-22 12:07:18 EST
That’s attachment 295634 [details]
Comment 4 RHEL Product and Program Management 2008-02-25 10:07:18 EST
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 5 Adam Jackson 2008-03-05 17:28:51 EST
The i945GM should be driven by the intel driver.  That log shows it being driven
by the i810 driver.  Why are you doing that?
Comment 6 Cameron Meadors 2008-03-10 08:47:17 EDT
I will retest with intel driver.
Comment 7 Cameron Meadors 2008-03-11 15:03:15 EDT
With the intel driver, the external display and primary display are lit when X
starts.  The resolution is correct for the external display.  Primary is the
same resolution as external which is wrong for it.  Fn-f7 does not change
anything.  Both screens just blank for a second.
Comment 8 RHEL Product and Program Management 2008-03-11 15:35:58 EDT
This request was previously evaluated by Red Hat Product Management
for inclusion in the current Red Hat Enterprise Linux release, but
Red Hat was unable to resolve it in time.  This request will be
reviewed for a future Red Hat Enterprise Linux release.
Comment 9 Cameron Meadors 2008-03-27 11:24:51 EDT
More information.  External display happens to only do 1280x800.  LVDS can do up
to 1680x1050.  With latest driver package (xorg-x11-drv-i810-1.6.5-9.6.0.3.el5)
The resolution is correct on LVDS (1680x1050) and the external display only
shows part of the desktop.  I am still unclear if the resolution will ever be
correct on both displays if they differ in max resolution.
Comment 10 Cameron Meadors 2008-04-03 10:52:43 EDT
Got more clarification about expected results.  X may choose a resolution that
is bigger that can be displayed on the LVDS.  The is sub optimal but expected in
some cases.  As long at the external display is showing the full screen then
this it not a problem.

I am going to consider this bug closed and open other bugs that are hardware
specific for results that vary my new understanding of the expected results.

Note You need to log in before you can comment on or make changes to this bug.